| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_ARRAY_TO_TUPLE

BOOST_VMD_ARRAY_TO_TUPLE — converts an array to a tuple.

## Synopsis

    // In header: <boost/vmd/array/to_tuple.hpp>

    BOOST_VMD_ARRAY_TO_TUPLE(array)

## Description

array = array to be converted.

If the array is an array of 0 elements it is converted to an empty tuple. Otherwise the array is converted to a tuple with the same number of elements as the array.